Bug 729788 - [abrt] ksh-20110505-2.fc14: sfsync: Process /bin/ksh was killed by signal 11 (SIGSEGV)
Summary: [abrt] ksh-20110505-2.fc14: sfsync: Process /bin/ksh was killed by signal 11 ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksh
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e94275c029c25531aeb0819f4dd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 20:03 UTC by Michael Veksler
Modified: 2011-09-19 06:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-19 06:55:07 UTC


Attachments (Terms of Use)
File: backtrace (21.05 KB, text/plain)
2011-08-10 20:03 UTC, Michael Veksler
no flags Details

Description Michael Veksler 2011-08-10 20:03:20 UTC
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 21555 bytes
cmdline: /bin/ksh ./AdjustOutputFile /home/veksler/tpa/GPRO.question-marks/gpro/system/P8/regression/output/pstream.tst
component: ksh
Attached file: coredump, 503808 bytes
crash_function: sfsync
executable: /bin/ksh
kernel: 2.6.35.13-92.fc14.x86_64
package: ksh-20110505-2.fc14
rating: 4
reason: Process /bin/ksh was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1313001527
uid: 321

How to reproduce
-----
1. Run my script, which invokes an application that takes 5 CPU minutes
2. Everything seems to have completed correctly, other than the SEGV at the end of the script

Comment 1 Michael Veksler 2011-08-10 20:03:24 UTC
Created attachment 517683 [details]
File: backtrace

Comment 2 Michal Hlavinka 2011-08-15 14:00:52 UTC
Thanks for reporting this. Could you provide me the script you are using? I've been looking in the ksh code, but did not find anything useful.

Also, you can test newer ksh version, if you want:

sudo yum update --enablerepo=updates-testing ksh

Comment 3 Michael Veksler 2011-08-30 10:41:50 UTC
I can't send you the script it is proprietary.
I'll check with a newer KSH.

Comment 4 Michael Veksler 2011-09-18 07:06:32 UTC
After running for some time, with the updated ksh, I can no longer reproduce this crash.


Note You need to log in before you can comment on or make changes to this bug.